function onTalk()
	makeUnskippable()
	disableMovement()
	wait()
	if not getFlag("EmptyDiskInserted") then
		teleportTo(4744, -1280, "bonus00", "ThinkForABit")
	end

	if getFlag("EmptyDiskInserted") then
		teleportTo(5656, -864, "bonus02", "ThinkForABit")
	end
end
		

function onEnd()
	enableMovement()
end